package xmlrpc;

import org.apache.xmlrpc.client.XmlRpcClient;
import org.apache.xmlrpc.client.XmlRpcClientConfigImpl;

import java.net.URL;
import java.util.Vector;

public class CrudePing {

    public static void main( String args[] ) throws Exception {

    	
        XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
        config.setServerURL(new URL("http://test.xmlrpc.wordtracker.com/"));
        XmlRpcClient client = new XmlRpcClient();
        client.setConfig(config);
  
        Vector<String> params = new Vector<String>();
        params.addElement( "guest" );

        Object result = client.execute( "ping", params );

        if ( result != null ) {
            System.out.println( "Successfully pinged guest account." );
            System.out.println("Result: "+result);
        }
        
    }
}

